<template>
  <div id="class_index_wrapper">
    <div>
      <el-table class="elTable" :data="list" style="width: 100%" :empty-text="$t('ENROLL_TABLE.EMPTY_DATA')">
        <el-table-column label="#" width="60" align="center">
          <template slot-scope="scope">
            {{ scope.$index + 1 }}
          </template>
        </el-table-column>
        <!--<el-table-column :label="$t('ENROLL_TABLE.ACADEMIC_NUM')" width="150">
          <template slot-scope="scope">
            {{ scope.row.num }}
          </template>
        </el-table-column>-->
        <!-- <el-table-column
          prop="type"
          :label="$t('TEACHER_CLASS.TYPE')"
          width="80"
          align="center">
          <template slot-scope="scope">
            <span v-if="scope.row.type === 4">
              {{ $t('TEACHER_CLASS.PUBLIC') }}
            </span>
            <span v-else>
              {{ $t('TEACHER_CLASS.PRIVATE') }}
            </span>
          </template>
        </el-table-column> -->
        <el-table-column :label="$t('ENROLL_TABLE.COURSE')">
          <template slot-scope="scope">
            {{ scope.row.name }}
          </template>
        </el-table-column>
        <el-table-column :label="$t('ENROLL_TABLE.INSTRUCTOR')" width="120" align="center">
          <template slot-scope="scope">
            {{ scope.row.master.name }}
          </template>
        </el-table-column>
        <el-table-column :label="$t('ENROLL_TABLE.APP_DURATION')" width="200" align="center">
          <template slot-scope="scope">
            {{ scope.row.start_time ? new Date(scope.row.start_time).toLocaleDateString('ko-KR') : $t('ENROLL_TABLE.UNDECIDED') }}
            ~
            {{ scope.row.end_time ? new Date(scope.row.end_time).toLocaleDateString('ko-KR') : $t('ENROLL_TABLE.UNDECIDED') }}
          </template>
        </el-table-column>
        <el-table-column :label="$t('ENROLL_TABLE.RATE')" width="160px" align="center">
          <template slot-scope="scope">
            <el-rate v-model="scope.row.rate" disabled show-score align="right"></el-rate>
          </template>
        </el-table-column>
        <el-table-column fixed="right" label="" width="200" align="right">
          <template slot-scope="scope">
            <el-button :type="(scope.row.enrollments === null || scope.row.enrollments.status === 1) ? 'primary' : 'danger'" style="width: 150px;"
             @click="(scope.row.enrollments === null || scope.row.enrollments.status === 1 ) ? onClick('ENROLL', scope.row)
             : scope.row.enrollments.status === 0 ? onClick('CANCEL', scope.row) : onClick('REJECTED', scope.row)">{{ scope.row.enrollments === null
              || scope.row.enrollments.status === 1  ? $t('ENROLL_TABLE.REG_CRS') : scope.row.enrollments.status === 0 ?
              $t('ENROLL_TABLE.REG_ON') : $t('ENROLL_TABLE.REG_REFUSED') }}</el-button>
          </template>
        </el-table-column>
        
      </el-table>
      <br>
    </div>
  </div>
</template>

<script>
import utils from '../../utils';

export default {
  name: 'ClassEnrollTable',
  props: ['list', 'onClick'],
  data() {
    return {
    };
  },
  computed: {
  },
  created() {
    const vm = this;
    if (vm.$route.query.type !== undefined) {
      vm.searchQuery.searchType = vm.$route.query.type;
    }
    if (vm.$route.query.text !== undefined) {
      vm.searchQuery.searchText = vm.$route.query.text;
    }
  },
  methods: {
    formatDate: utils.formatDate,
  },
};
</script>


<style lang="scss" scoped>
#class_index_wrapper {
  .elTable-label {
    font-family: SpoqaHanSans;
    font-size: 14px;
    font-weight: bold;
    font-style: normal;
    font-stretch: normal;
    line-height: 1;
    letter-spacing: normal;
    color: #909399;
  }
  .elTable-label tr {
    font-family: SpoqaHanSans;
    font-size: 14px;
    font-weight: bold;
    font-style: normal;
    font-stretch: normal;
    line-height: 1;
    letter-spacing: normal;
    color: #909399;
  }
  .elTable-label td {
    font-family: SpoqaHanSans;
    font-size: 14px;
    font-weight: normal;
    font-style: normal;
    font-stretch: normal;
    line-height: 1;
    letter-spacing: normal;
    color: #606266;
  }
}
</style>
